Skip to content

Recommendations

All operations require authentication.

1 operationv1/me/recommendations
Agent setup

Get this object propertiesAlpha

GET
/1.0/me/recommendations

Query parameters

max
integer

Maximum number of recommendations to be returned

range
productRangesEnum

Filter recommendations by product range

Valuesbaremetaldomainpublic_cloudsaasvpsweb

Response

200Recommendationssuccessful operation
recommendations
read-only
Recommendation[]
—

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/recommendations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "recommendations": [ { "advices": [ { "id": "string", "score": 0, "url": "string" } ], "localizedDescription": { "key": "string" }, "rank": 0 } ]}